### Function

# GLib timeout_add_once

since: 2.74

#### Declaration

    guint
    g_timeout_add_once (
      guint interval,
      GSourceOnceFunc function,
      gpointer data
    )

#### Description

Sets a function to be called after `interval` milliseconds have elapsed, with the default priority, `G_PRIORITY_DEFAULT`.

The given `function` is called once and then the source will be automatically removed from the main context.

This function otherwise behaves like g_timeout_add().

Available since: 2.74

This function is not directly available to language bindings.

#### Parameters

`interval`

  Type: `guint`

  The time after which the function will be called, in milliseconds (1/1000ths of a second).

`function`

  Type: `GSourceOnceFunc`

  Function to call.

`data`

  Type: `gpointer`

  Data to pass to `function`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `guint`

The ID (greater than 0) of the event source.